## GnomeDbProviderSpecEditor GnomeDbProviderSpecEditor — Widget to display and edit connection data associated to a database provider |

## Synopsis

                        GnomeDbProviderSpecEditor;
                        GnomeDbProviderSpecEditorClass;
                        GnomeDbProviderSpecEditorPrivate;
    GtkWidget *         gnome_db_provider_spec_editor_new   (const gchar *provider);
    void                gnome_db_provider_spec_editor_set_provider
                                                            (GnomeDbProviderSpecEditor *spec,
                                                             const gchar *provider);
    gboolean            gnome_db_provider_spec_editor_is_valid
                                                            (GnomeDbProviderSpecEditor *spec);
    gchar *             gnome_db_provider_spec_editor_get_specs
                                                            (GnomeDbProviderSpecEditor *spec);
    void                gnome_db_provider_spec_editor_set_specs
                                                            (GnomeDbProviderSpecEditor *spec,
                                                             const gchar *specs_string);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----GnomeDbProviderSpecEditor

## Implemented Interfaces

GnomeDbProviderSpecEditor implements GtkBuildable, GtkOrientable and AtkImplementorIface.

## Properties

      "provider"                 gchar*                : Read / Write

## Signals

      "changed"                                        : Run Last

## Description

## Details

### GnomeDbProviderSpecEditor

    typedef struct _GnomeDbProviderSpecEditor GnomeDbProviderSpecEditor;

### GnomeDbProviderSpecEditorClass

    typedef struct {
    	GtkVBoxClass           parent_class;

    	/* signals */
    	void                (* changed) (GnomeDbProviderSpecEditor *spec);
    } GnomeDbProviderSpecEditorClass;

### GnomeDbProviderSpecEditorPrivate

    typedef struct _GnomeDbProviderSpecEditorPrivate GnomeDbProviderSpecEditorPrivate;

### gnome_db_provider_spec_editor_new ()

    GtkWidget *         gnome_db_provider_spec_editor_new   (const gchar *provider);

Creates a new GnomeDbProviderSpecEditor widget

`provider` : | the provider to be used
Returns : |

### gnome_db_provider_spec_editor_set_provider ()

    void                gnome_db_provider_spec_editor_set_provider
                                                            (GnomeDbProviderSpecEditor *spec,
                                                             const gchar *provider);

Updates the displayed fields in `spec` to represent the required and possible arguments that a connection to a database through `provider` would require

`spec` : | a GnomeDbProviderSpecEditor widget
`provider` : | the provider to be used

### gnome_db_provider_spec_editor_is_valid ()

    gboolean            gnome_db_provider_spec_editor_is_valid
                                                            (GnomeDbProviderSpecEditor *spec);

Tells if the current information displayed in `spec` respects the provider's specifications (about non NULL values for example)

`spec` : | a GnomeDbProviderSpecEditor widget
Returns : |

### gnome_db_provider_spec_editor_get_specs ()

    gchar *             gnome_db_provider_spec_editor_get_specs
                                                            (GnomeDbProviderSpecEditor *spec);

Get the currently displayed provider's specific connection string

`spec` : | a GnomeDbProviderSpecEditor widget
Returns : | a new string, or `NULL` if no provider have been specified

### gnome_db_provider_spec_editor_set_specs ()

    void                gnome_db_provider_spec_editor_set_specs
                                                            (GnomeDbProviderSpecEditor *spec,
                                                             const gchar *specs_string);

Sets the connection string to be displayed in the widget

`spec` : | a GnomeDbProviderSpecEditor widget
`specs_string` : |

## Property Details

### The `"provider"` property

      "provider"                 gchar*                : Read / Write

Default value: NULL

## Signal Details

### The `"changed"` signal

    void                user_function                      (GnomeDbProviderSpecEditor *dbproviderspeceditor,
                                                            gpointer                   user_data)                 : Run Last

`dbdsnspec` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.